Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::TypedData< T > Struct Template Reference

`#include <Reflect.h>`

Inheritance diagram for tlp::TypedData< T >:
[legend]
Collaboration diagram for tlp::TypedData< T >:
[legend]

List of all members.

## Public Member Functions

- TypedData (void *value)
- ~TypedData ()
- DataType * clone () const
- std::string getTypeName () const

### template<typename T>
struct tlp::TypedData< T >

## Constructor & Destructor Documentation

template<typename T >

tlp::TypedData< T >::TypedData | ( | void * | value | ) | `[inline]`

template<typename T >

tlp::TypedData< T >::~TypedData | ( |  | ) | `[inline]`

## Member Function Documentation

template<typename T >

DataType* tlp::TypedData< T >::clone | ( |  | ) | const`[inline, virtual]`

Implements tlp::DataType.

template<typename T >

std::string tlp::TypedData< T >::getTypeName | ( |  | ) | const`[inline, virtual]`

Implements tlp::DataType.

Tulip Software by LaBRI Visualization Team 2001 - 2012